Arch 3Views/es: Difference between revisions

From FreeCAD Documentation
(Created page with "'''Este comando no está actualmente en uso'''. Servirá para generar vistas planas y basadas en la forma desde un objeto basado en Mesh, para ser utilizado...")
(Updating to match new version of source page)
(7 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]|[[Arch_Module|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}
{{Template:UnfinishedDocu}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Arch 3Views|Workbenches=[[Arch Module/es|Arch]]|MenuLocation=Arch → Utilities → 3 Views from mesh|Shortcut=|SeeAlso=}}
{{GuiCommand/es|Name=Arch 3Views|Workbenches=[[Arch Module/es|Arch]]|MenuLocation=Arch → Utilities → 3 Views from mesh|Shortcut=|SeeAlso=}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
'''Este comando no está actualmente en uso'''. Servirá para generar vistas planas y basadas en la forma desde un objeto basado en [[Mesh Module | Mesh]], para ser utilizado por la herramienta [[Arch Equipment]].
'''Este comando no está actualmente en uso'''. Servirá para generar vistas planas y basadas en la forma desde un objeto basado en [[Mesh Module | Mesh]], para ser utilizado por la herramienta [[Arch Equipment]].
</div>

==Utilización==

# Select a Mesh object.
# Select menu {{MenuCommand|Arch → Utilities → [[Image:Arch 3Views.svg|16px]] [[Arch 3Views|3Views]]}}.

== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].

This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}
* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|largestonly}} is {{incode|True}} only the largest segment of the given mesh will be used.

Use {{incode|Part.show()}} to display the resulting flat shape.

Example:
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)


Wall.ViewObject.Visibility = False
==How to use==
mesh_obj.ViewObject.Visibility = False
}}
{{docnav|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]|[[Arch_Module|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}


{{Arch Tools navi}}
# Select a Mesh object
# Select menu Arch → Utilities → {{KEY|[[Image:Arch 3Views.png|16px]] [[Arch 3Views|3Views]]}}


{{clear}}
{{Userdocnavi}}

Revision as of 08:59, 5 April 2019

Arch 3Views

Ubicación en el Menú
Arch → Utilities → 3 Views from mesh
Entornos de trabajo
Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Este comando no está actualmente en uso. Servirá para generar vistas planas y basadas en la forma desde un objeto basado en Mesh, para ser utilizado por la herramienta Arch Equipment.

Utilización

  1. Select a Mesh object.
  2. Select menu Arch → Utilities → 3Views.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False